Upsert business unit economics items
curl --request POST \
--url https://api.nops.io/v1/business-unit-economics/{id}/items \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"items": [
{
"segmentValue": "Production",
"date": "2026-06-01",
"units": 1200
}
]
}
'import requests
url = "https://api.nops.io/v1/business-unit-economics/{id}/items"
payload = { "items": [
{
"segmentValue": "Production",
"date": "2026-06-01",
"units": 1200
}
] }
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({items: [{segmentValue: 'Production', date: '2026-06-01', units: 1200}]})
};
fetch('https://api.nops.io/v1/business-unit-economics/{id}/items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.nops.io/v1/business-unit-economics/{id}/items"
payload := strings.NewReader("{\n \"items\": [\n {\n \"segmentValue\": \"Production\",\n \"date\": \"2026-06-01\",\n \"units\": 1200\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"record": {
"id": 5,
"unit": "Customers"
},
"items": [
{
"segmentValue": "Production",
"date": "2026-06-01",
"units": 1200
}
]
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Business unit economics
Upsert business unit economics items
POST
https://api.nops.io
/
v1
/
business-unit-economics
/
{id}
/
items
Upsert business unit economics items
curl --request POST \
--url https://api.nops.io/v1/business-unit-economics/{id}/items \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"items": [
{
"segmentValue": "Production",
"date": "2026-06-01",
"units": 1200
}
]
}
'import requests
url = "https://api.nops.io/v1/business-unit-economics/{id}/items"
payload = { "items": [
{
"segmentValue": "Production",
"date": "2026-06-01",
"units": 1200
}
] }
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({items: [{segmentValue: 'Production', date: '2026-06-01', units: 1200}]})
};
fetch('https://api.nops.io/v1/business-unit-economics/{id}/items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.nops.io/v1/business-unit-economics/{id}/items"
payload := strings.NewReader("{\n \"items\": [\n {\n \"segmentValue\": \"Production\",\n \"date\": \"2026-06-01\",\n \"units\": 1200\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"record": {
"id": 5,
"unit": "Customers"
},
"items": [
{
"segmentValue": "Production",
"date": "2026-06-01",
"units": 1200
}
]
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Authorizations
API key from Settings → Security → API Keys. Pass as Authorization: Bearer YOUR_API_KEY.
Headers
Unique key for safe retries on write requests (required, max 64 characters).
Maximum string length:
64Path Parameters
Business unit economics ID
Body
application/json
Minimum array length:
1Show child attributes
Show child attributes
Response
Upsert business unit economics items
JSON object
Was this page helpful?
⌘I